Ubuntu

Missing pixmap for Australia/Eucla timezone

Reported by Bastien Nocera on 2010-09-29
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnome-control-center
Fix Released
Medium
timezonemap
New
Undecided
Unassigned
ubiquity (Ubuntu)
Medium
Paul Sladen

Bug Description

gnome-control-center uses the same pixmaps as the Ubiquity installer for its "Date & Time" panel.

Two highlight pixmaps are missing:

  timezone_8.75.png (Eucla, Australia)
  timezone_14.png (Christmas Island, Pacific)

These need adding to:

  http://bazaar.launchpad.net/~ubuntu-installer/ubiquity/trunk/files/head:/pixmaps/timezone/

The images that make up the system are:

  http://bazaar.launchpad.net/~ubuntu-installer/ubiquity/trunk/download/head:/bg.png-20090305094359-rs512o21sf3ut05u-2/bg.png
  http://bazaar.launchpad.net/~ubuntu-installer/ubiquity/trunk/download/head:/cc.png-20090305094359-rs512o21sf3ut05u-3/cc.png

It appears that 'cc.png' is a mask (test) layer. That 'bg.png' is a background, and that the rest are (separate) overlays displayed when over a 'cc.png' offset.

The overlays seem to have been generated from a gigantic file called 'tz_map.svgz' which takes about 1.5GB of RAM to open in Inkscape.

However, a pixmap seems to be missing for the Australia/Eucla timezone:
(gnome-control-center:2782): datetime-properties-WARNING **: Could not load hilight: Failed to open file '/usr/share/gnome-control-center/ui/datetime/timezone_8.75.png': No such file or directory

See also https://bugzilla.gnome.org/show_bug.cgi?id=630261

Bastien Nocera (hadess) wrote :

Another file is missing:
datetime-properties-Message: File 'timezone_14.png' missing for zone 'Pacific/Kiritimati'

Paul Sladen (sladen) on 2010-11-17
affects: ubiquity → bugzilla.gnome.org
affects: bugzilla.gnome.org → gnome-control-center
Changed in ubiquity (Ubuntu):
status: New → Confirmed
Paul Sladen (sladen) on 2010-11-17
Changed in ubiquity:
status: New → Incomplete
status: Incomplete → Confirmed
Paul Sladen (sladen) on 2010-11-17
Changed in ubiquity (Ubuntu):
importance: Undecided → Medium
Changed in buttons:
assignee: nobody → Otto Greenslade (otto-chaotic)
affects: ubiquity → null
affects: buttons → ubiquity
Changed in null:
status: Confirmed → Invalid
Changed in ubiquity:
status: New → Confirmed
Changed in ubiquity (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
Changed in gnome-control-center:
importance: Unknown → Medium
status: Unknown → New
Bastien Nocera (hadess) wrote :

This is the Olsen map for timezones.

Marked as A:
datetime-cc-panel-Message: File 'timezone_8.75.png' missing for zone 'Australia/Eucla'

Marked as B:
datetime-cc-panel-Message: File 'timezone_14.png' missing for zone 'Pacific/Kiritimati'

For the Christmas Islands, see also the borders outlines on Wikipedia:
http://en.wikipedia.org/wiki/File:Kiribati_location_map.svg

I wanted to add those zones myself, but it seems that the tiles were not created using those images as sources, as the border lines and a number of items in the maps are fuzzy.

Could you please upload the original file for those tiles?

Paul Sladen (sladen) on 2011-03-08
Changed in ubiquity:
status: Confirmed → In Progress
assignee: Otto Greenslade (otto-chaotic) → Paul Sladen (sladen)
Paul Sladen (sladen) on 2011-03-08
description: updated
Paul Sladen (sladen) wrote :

Situation report, I've had emailed to be a gigantic 2.7MB SVG file which appears to have been the source of all of the overlay renderings.

description: updated
Frédéric Péters (fpeters) wrote :

I didn't see that last comment so I spent some time today recreating the missing files, directly in bitmap form; they have now been pushed in gnome-control-center.

Changed in gnome-control-center:
status: New → Fix Released
Didier Roche (didrocks) wrote :

(seems that Paul is handling the ubiquity part, unsuscribing)

Changed in ubiquity (Ubuntu):
assignee: Didier Roche (didrocks) → nobody
Paul Sladen (sladen) wrote :

Still blocked on getting a legal statement about CIA PD and CAA interaction.

Curtis Hovey (sinzui) on 2011-11-11
no longer affects: null
Colin Watson (cjwatson) on 2012-10-16
Changed in ubiquity (Ubuntu):
status: Confirmed → In Progress
assignee: nobody → Paul Sladen (sladen)
no longer affects: ubiquity
Paul Sladen (sladen) wrote :

Acknowledged. Just making some (re-)enquiries.

Paul Sladen (sladen) wrote :

Now split out into:

  https://launchpad.net/timezonemap

affects: ubiquity → timezonemap
Bastien Nocera (hadess) wrote :

We ran into more problems with the timezone map. Are the source files available somewhere now?

Bastien Nocera (hadess) wrote :

revno: 22 [merge]
fixes bug: https://launchpad.net/bugs/892370
committer: Dmitrijs Ledkovs <email address hidden>
branch nick: timezonemap
timestamp: Wed 2013-03-27 17:22:30 +0000
message:
  * Simplfy setting location
  * Use latitude/longitude for local cities as well (LP: #892370)
  * Add m4 directory to prevent aclocal from complaining.
  * Include cities with greater than 15000 people locally.
  * Add original timezone svg map, thanks to Otto for finding it.
------------------------------------------------------------
revno: 21
committer: Dmitrijs Ledkovs <email address hidden>
branch nick: timezonemap
timestamp: Wed 2013-03-27 17:18:44 +0000
message:
  Add the original traced svg

Thanks for the heads up...

On 7 November 2013 18:44, Bastien Nocera <email address hidden> wrote:
> We ran into more problems with the timezone map. Are the source files
> available somewhere now?
>

Yes, in lp:timezonemap. In src/data there is the original svg. I think
in the svg one needs to modify layers and union/subtract them and then
generate new set of timezone bands.
My SVG / vector skills are not up to scratch to perform those tasks.

Regards,

Dmitrijs.

Bastien Nocera (hadess) wrote :

Now the question is, where's the code to generate the split-off timezone PNGs given that SVG map?

Paul Sladen (sladen) wrote :

Hadess: I had been looking that this; and my presumption is that each layer shown/hidden/exported from Inkscape one at a time. But it's definitely something that I'll make scripted so it's easy to re-export the whole suite at $preferred_bitmap_size.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.